Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Interface TransactionPostListener

All Known Subinterfaces:
  Entity

All Known Implementing Classes:
  ViewObjectImpl

public interface TransactionPostListener
extends java.util.EventListener

Implemented by subscribers to transactions events generated during a transaction post operation.

Since:
  JDeveloper 3.0
See Also:
  `DBTransaction`, `Entity`, `TransactionEvent`

Method Summary
`int` | `getTransPostHandle()` Advanced: Applications should not use this method.
`boolean` | `isTransientTransactionPostListener()` Tests whether this transaction listener is transient or permanent.
`void` | `postChanges(TransactionEvent e)` Notifies a listener to post any cached changes to the database.
`void` | `setTransPostHandle(int hdl)` Advanced: Applications should not use this method.

Method Detail

### postChanges

    public void postChanges(TransactionEvent e)

  Notifies a listener to post any cached changes to the database.

  This method is useful for Entity Objects that perform data manipulation operations such as UPDATE, INSERT or DELETE.

  Parameters:
    `e` - a transaction event.

### getTransPostHandle

    public int getTransPostHandle()

  Advanced: Applications should not use this method.

  Gets a handle to a transaction post event.

  Returns:
    a handle to a transaction post event.

### setTransPostHandle

    public void setTransPostHandle(int hdl)

  Advanced: Applications should not use this method.

  Specifies a handel to a transaction post event.

  Parameters:
    `hdl` - a handle to a transaction post event.

### isTransientTransactionPostListener

    public boolean isTransientTransactionPostListener()

  Tests whether this transaction listener is transient or permanent.

  Transient listeners are automatically removed at the end of a transaction post cycle; permanent listeners remain across post cycles. This property does not change.

  Returns:
    `true` if the listener is transient.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD